
#pragma once

namespace schpin
{

template < typename... Args >
inline int lua_error_stream( lua_State* lua_ptr, Args&&... args )
{
        std::stringstream ss;
        ( ss << ... << args );
        return luaL_error( lua_ptr, ss.str().c_str() );
}

}  // namespace schpin
